import { Router, CanActivate, ActivatedRouteSnapshot } from '@angular/router';
import { AuthService } from '../services/auth.service';
export declare class UserRoleGuardService implements CanActivate {
    private auth;
    private router;
    constructor(auth: AuthService, router: Router);
    canActivate(routeSnapshot: ActivatedRouteSnapshot): boolean;
}
